Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.directive
Class ParseDirectiveException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.velocity.runtime.directive.ParseDirectiveException

All Implemented Interfaces:
  java.io.Serializable

public class ParseDirectiveException
extends java.lang.Exception

Exception for #parse() problems

Version:
  $Id: ParseDirectiveException.java,v 1.4 2001/03/20 01:11:27 jon Exp $
Author:
  Geir Magnusson Jr.
See Also:
  Serialized Form

Field Summary
`private int` | `depthCount`
`private java.util.Stack` | `filenameStack`
`private java.lang.String` | `msg`

Fields inherited from class java.lang.Throwable
`backtrace, detailMessage, serialVersionUID`

Constructor Summary
`(package private)` | `ParseDirectiveException(java.lang.String m, int i)` Constructor

Method Summary
`void` | `addFile(java.lang.String s)` Add a file to the filename stack
`java.lang.String` | `getMessage()` Get a message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, printStackTrace0, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### filenameStack

    private java.util.Stack filenameStack

### msg

    private java.lang.String msg

### depthCount

    private int depthCount

Constructor Detail

### ParseDirectiveException

    ParseDirectiveException(java.lang.String m,
                            int i)

  Constructor

Method Detail

### getMessage

    public java.lang.String getMessage()

  Get a message.
  Overrides:
    `getMessage` in class `java.lang.Throwable`

### addFile

    public void addFile(java.lang.String s)

  Add a file to the filename stack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.